summaryrefslogtreecommitdiffstats
path: root/patches/03_separate-opt_uid0_cmd-non-option-args.patch
blob: b3f847d7b67dac633cb0d8db57e8778aca1228b2 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
From: "P. J. McDermott" <pjm@nac.net>
Description: Separate opt_uid0_cmd non-option arguments
 Otherwise, the -u option might be collected by the opt_uid0_cmd.

diff -Naur src.orig/src/opkbuild.sh src/src/opkbuild.sh
--- src.orig/src/opkbuild.sh	2012-11-15 14:55:57.000000000 -0500
+++ src/src/opkbuild.sh	2013-06-03 21:15:47.625478555 -0400
@@ -193,7 +193,7 @@
 test_uid0_cmd()
 {
 	# Verify that the UID 0 command works.
-	test_uid=$("${opt_uid0_cmd}" id -u)
+	test_uid=$("${opt_uid0_cmd}" -- id -u)
 
 	if [ ${?} -ne 0 ]; then
 		ob_error "$(ob_get_msg 'uid0_cmd_not_found')" "${opt_uid0_cmd}"
@@ -263,7 +263,7 @@
 	src_pkg_data_base="src-${src}.data$(ob_get_system_path 'package-source' \
 		"${src}" "${ver}")"
 
-	"${opt_uid0_cmd}" mkdir -p \
+	"${opt_uid0_cmd}" -- mkdir -p \
 		"${src_pkg_data_base}" || \
 		ob_error "$(ob_get_msg 'cant_make_src_pkg_dir')"
 
@@ -272,7 +272,7 @@
 			../tmp)
 				;;
 			../*)
-				"${opt_uid0_cmd}" cp -R "${file}" "${src_pkg_data_base}" || \
+				"${opt_uid0_cmd}" -- cp -R "${file}" "${src_pkg_data_base}" || \
 					ob_error "$(ob_get_msg 'cant_install_src_pkg_file')"
 				;;
 		esac
@@ -328,7 +328,7 @@
 	case "${opt_target}" in
 		'')
 			../build build
-			${opt_uid0_cmd} sh -s <<-EOF
+			${opt_uid0_cmd} -- sh -s <<-EOF
 				../build install && \
 				'@@BINDIR@@/ob-installdocs' && \
 				'@@BINDIR@@/ob-gencontrol' && \
@@ -339,7 +339,7 @@
 			fi
 			;;
 		'install'|'install-'*)
-			if ! ${opt_uid0_cmd} ../build "${opt_target}"; then
+			if ! ${opt_uid0_cmd} -- ../build "${opt_target}"; then
 				exit 1
 			fi
 			;;